WPSColor Struct Reference documentation

Public Member Functions | Static Public Member Functions | Protected Attributes | Friends | List of all members
WPSColor Struct Reference

the class to store a color More...

`#include <libwps_internal.h>`

## Public Member Functions
| WPSColor (uint32_t argb=0)
| constructor More...
| WPSColor (unsigned char r, unsigned char g, unsigned char b, unsigned char a=255)
| constructor from color More...
| WPSColor (WPSColor const &)=default
| copy constructor More...
| WPSColor (WPSColor &&)=default
| move assignement More...
WPSColor & | operator= (uint32_t argb)
| operator= More...
WPSColor & | operator= (WPSColor const &)=default
| operator= More...
WPSColor & | operator= (WPSColor &&)=default
| move operator= More...
uint32_t | value () const
| return the rgba value More...
unsigned char | getAlpha () const
| returns the alpha value More...
unsigned char | getBlue () const
| returns the green value More...
unsigned char | getRed () const
| returns the red value More...
unsigned char | getGreen () const
| returns the green value More...
bool | isBlack () const
| return true if the color is black More...
bool | isWhite () const
| return true if the color is white More...
bool | operator== (WPSColor const &c) const
| operator== More...
bool | operator!= (WPSColor const &c) const
| operator!= More...
bool | operator< (WPSColor const &c) const
| operator< More...
bool | operator<= (WPSColor const &c) const
| operator<= More...
bool | operator> (WPSColor const &c) const
| operator> More...
bool | operator>= (WPSColor const &c) const
| operator>= More...
std::string | str () const
| print the color in the form #rrggbb More...

## Static Public Member Functions
static WPSColor | black ()
| return the back color More...
static WPSColor | white ()
| return the white color More...
static WPSColor | barycenter (float alpha, WPSColor const &colA, float beta, WPSColor const &colB)
| return alpha*colA+beta*colB More...

## Protected Attributes
uint32_t | m_value
| the argb color More...

## Friends
std::ostream & | operator<< (std::ostream &o, WPSColor const &c)
| operator<< in the form #rrggbb More...

## Detailed Description

the class to store a color

## Constructor & Destructor Documentation

## ◆ WPSColor() [1/4]

WPSColor::WPSColor | ( | uint32_t | argb = `0` | ) |
| inlineexplicit

constructor

Referenced by barycenter(), black(), and white().

## ◆ WPSColor() [2/4]

WPSColor::WPSColor | ( | unsigned char | r,
|  | unsigned char | g,
|  | unsigned char | b,
|  | unsigned char | a = `255`
| ) |  |
| inline

constructor from color

## ◆ WPSColor() [3/4]

WPSColor::WPSColor | ( | WPSColor const & |  | ) |
| default

copy constructor

## ◆ WPSColor() [4/4]

WPSColor::WPSColor | ( | WPSColor && |  | ) |
| default

move assignement

## Member Function Documentation

## ◆ barycenter()

WPSColor WPSColor::barycenter | ( | float | alpha,
|  | WPSColor const & | colA,
|  | float | beta,
|  | WPSColor const & | colB
| ) |  |
| static

return alpha*colA+beta*colB

Referenced by WPSGraphicStyle::Pattern::getAverageColor(), QuattroSpreadsheet::readCellStyle(), LotusStyleManager::readLineStyle(), WPS8Table::readMCLD(), WKS4Spreadsheet::readMsWorksStyle(), and WPS8TextStyle::readParagraph().

## ◆ black()

static WPSColor WPSColor::black | ( |  | ) |
| inlinestatic

return the back color

Referenced by LotusStyleManagerInternal::ColorStyle::ColorStyle(), WPSGraphicStyle::Pattern::Pattern(), QuattroDosSpreadsheet::readCellProperty(), QuattroSpreadsheet::readCellStyle(), QuattroDosSpreadsheet::readCellStyle(), QuattroDosChart::readChart(), LotusSpreadsheet::readExtraRowFormats(), LotusChart::readFramesStyle(), LotusStyleManager::readLineStyle(), WPS8Table::readMCLD(), WKS4Spreadsheet::readMsWorksStyle(), WPS8TextStyle::readParagraph(), LotusChart::readSerie(), QuattroDosSpreadsheet::readUserStyle(), LotusStyleManager::updateSurfaceStyle(), and WPSGraphicStyle::WPSGraphicStyle().

## ◆ getAlpha()

unsigned char WPSColor::getAlpha | ( |  | ) | const
| inline

returns the alpha value

## ◆ getBlue()

unsigned char WPSColor::getBlue | ( |  | ) | const
| inline

returns the green value

Referenced by DosWordParser::readPAP().

## ◆ getGreen()

unsigned char WPSColor::getGreen | ( |  | ) | const
| inline

returns the green value

Referenced by DosWordParser::readPAP().

## ◆ getRed()

unsigned char WPSColor::getRed | ( |  | ) | const
| inline

returns the red value

Referenced by DosWordParser::readPAP().

## ◆ isBlack()

bool WPSColor::isBlack | ( |  | ) | const
| inline

return true if the color is black

Referenced by LotusSpreadsheetInternal::ExtraStyle::empty(), operator<<(), LotusSpreadsheet::readExtraRowFormats(), LotusStyleManager::readFontStyleF0(), LotusChart::readFramesStyle(), and LotusGraph::readGraphic().

## ◆ isWhite()

bool WPSColor::isWhite | ( |  | ) | const
| inline

return true if the color is white

Referenced by WPSParagraph::addTo(), LotusSpreadsheetInternal::ExtraStyle::empty(), WPS8ParserInternal::operator<<(), WPS4TextInternal::operator<<(), operator<<(), LotusStyleManager::readCellStyleD2Data(), LotusStyleManager::readCellStyleE6(), LotusChart::readFramesStyle(), and LotusStyleManager::readLineStyle().

## ◆ operator!=()

bool WPSColor::operator!= | ( | WPSColor const & | c | ) | const
| inline

operator!=

## ◆ operator<()

bool WPSColor::operator< | ( | WPSColor const & | c | ) | const
| inline

operator<

Referenced by operator>=().

## ◆ operator<=()

bool WPSColor::operator<= | ( | WPSColor const & | c | ) | const
| inline

operator<=

Referenced by operator>().

## ◆ operator=() [1/3]

WPSColor& WPSColor::operator= | ( | uint32_t | argb | ) |
| inline

operator=

## ◆ operator=() [2/3]

WPSColor& WPSColor::operator= | ( | WPSColor const & |  | ) |
| default

operator=

## ◆ operator=() [3/3]

WPSColor& WPSColor::operator= | ( | WPSColor && |  | ) |
| default

move operator=

## ◆ operator==()

bool WPSColor::operator== | ( | WPSColor const & | c | ) | const
| inline

operator==

Referenced by operator!=().

## ◆ operator>()

bool WPSColor::operator> | ( | WPSColor const & | c | ) | const
| inline

operator>

## ◆ operator>=()

bool WPSColor::operator>= | ( | WPSColor const & | c | ) | const
| inline

operator>=

## ◆ str()

std::string WPSColor::str | ( |  | ) | const

print the color in the form #rrggbb

Referenced by WPSGraphicStyle::addFrameTo(), WPSFont::addTo(), WPSParagraph::addTo(), WPSGraphicStyle::addTo(), and WPSBorder::addTo().

## ◆ value()

uint32_t WPSColor::value | ( |  | ) | const
| inline

return the rgba value

## ◆ white()

static WPSColor WPSColor::white | ( |  | ) |
| inlinestatic

return the white color

Referenced by LotusStyleManagerInternal::ColorStyle::ColorStyle(), WPSGraphicStyle::Pattern::Pattern(), QuattroSpreadsheet::readCellStyle(), QuattroDosChart::readChart(), LotusChart::readFramesStyle(), LotusStyleManager::readLineStyle(), WPS8Table::readMCLD(), WKS4Spreadsheet::readMsWorksStyle(), WPS8TextStyle::readParagraph(), LotusChart::readSerie(), WKS4Chart::updateChart(), and WPSGraphicStyle::WPSGraphicStyle().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | WPSColor const & | c
| ) |  |
| friend

operator<< in the form #rrggbb

## Member Data Documentation

## ◆ m_value

uint32_t WPSColor::m_value
| protected

the argb color

Referenced by barycenter(), getAlpha(), getBlue(), getGreen(), getRed(), isBlack(), isWhite(), operator<(), operator<<(), operator<=(), operator=(), operator==(), and value().

The documentation for this struct was generated from the following files:

- libwps_internal.h
- libwps_internal.cpp